//go:build notrace
// +build notrace

package errors_test

import (
	"testing"

	"codeberg.org/gruf/go-errors/v2"
)

func TestStacktrace(t *testing.T) {
	var callers errors.Callers
	err := errors.New("without stacktrace")
	if callers = errors.Stacktrace(err); callers != nil {
		t.Error("error stacktrace not nil with notrace buildtag")
	}
}
